import vl from 'vega-lite-api';
export const viz = vl
  .markBar({
    size: 50,
    opacity: 0.9
  })
	.title('Mexico Population Analysis (Zone x Pop)')
  .encode(
    vl.y().title("Population").fieldQ('Population').aggregate('sum'),
    vl.x().title("Zona").fieldN('Zona').sort('-y'),
    vl.color().field('State').scale({"scheme": "category20b"}),
    vl.tooltip().field('State')
  );